# Contexte

The end to end tests should test nominal cases to validate the platform is up and running

## Cucumber 

They is built using cucumber because it is a framework i am the more fluent one at the moment

### Java

For the same reason cucumber java is used  

### Spring Boot

Spring boot integration is used mainly to manage profiles and properties